package com.fs.sop.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.common.annotation.DataSource;
import com.fs.common.enums.DataSourceType;
import com.fs.sop.domain.QwSopTempVoice;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 模板对应的销售语音文件Mapper接口
 *
 * @author fs
 * @date 2025-02-13
 */
@DataSource(DataSourceType.SOP)
public interface QwSopTempVoiceMapper extends BaseMapper<QwSopTempVoice>{
    /**
     * 查询模板对应的销售语音文件
     *
     * @param id 模板对应的销售语音文件主键
     * @return 模板对应的销售语音文件
     */
    QwSopTempVoice selectQwSopTempVoiceById(Long id);

    /**
     * 查询模板对应的销售语音文件列表
     *
     * @param qwSopTempVoice 模板对应的销售语音文件
     * @return 模板对应的销售语音文件集合
     */
    List<QwSopTempVoice> selectQwSopTempVoiceList(QwSopTempVoice qwSopTempVoice);

    /**
     * 新增模板对应的销售语音文件
     *
     * @param qwSopTempVoice 模板对应的销售语音文件
     * @return 结果
     */
    int insertQwSopTempVoice(QwSopTempVoice qwSopTempVoice);

    /**
     * 修改模板对应的销售语音文件
     *
     * @param qwSopTempVoice 模板对应的销售语音文件
     * @return 结果
     */
    int updateQwSopTempVoice(QwSopTempVoice qwSopTempVoice);

    /**
     * 删除模板对应的销售语音文件
     *
     * @param id 模板对应的销售语音文件主键
     * @return 结果
     */
    int deleteQwSopTempVoiceById(Long id);

    /**
     * 批量删除模板对应的销售语音文件
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQwSopTempVoiceByIds(Long[] ids);

    List<QwSopTempVoice> listVoice(@Param("tempId") String tempId, @Param("salesIds") List<Long> salesIds);

    void insertBatch(@Param("list") List<QwSopTempVoice> list);

    List<QwSopTempVoice> getVoice(@Param("companyUserId") Long companyUserId, @Param("companyId") Long companyId, @Param("tempId") String tempId, @Param("rulesId") Long rulesId);

    List<QwSopTempVoice> listVoiceTemp(@Param("tempId") String tempId, @Param("dayId") Long dayId);

    void remove(@Param("tempId") String tempId, @Param("dayId") Long dayId);

    List<QwSopTempVoice> getVoiceByText(@Param("companyUserId") Long companyUserId, @Param("textList") List<String> textList);

    List<QwSopTempVoice> selectAllByUserIds(@Param("userIdList") List<Long> userIdList);
}
